Get Transaction Trend Data
1. Overview & Typical Use
Returns transaction trend data sorted in ascending chronological order, including the daily breakdown by transaction type.
- Typical use: analyze transaction type distribution trends, display daily transaction volume charts.
- When not to use: to view cumulative transaction data use “Get Cumulative Transaction Data”.
2. Endpoint & Authentication
GET /api/overview/dailytransactionnum
For Base URL and authentication, see Common Network & Authentication.
3. Request
Fields
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
type | integer | No | 0 | Query granularity: 0 daily, 1 weekly, 2 monthly, 3 quarterly |
days | integer | No | 15 | Number of days to query |
4. Response
Fields
Top-level
| Field | Type | Required | Description | Unit/Precision |
|---|---|---|---|---|
success | boolean | Required | Whether the request succeeded | — |
data | array | Required | Daily transaction data list (see below) | — |
data[] element
| Field | Type | Required | Description | Unit/Precision |
|---|---|---|---|---|
date | integer | Required | Statistics date | millisecond timestamp |
dateDayStr | string | Required | Statistics date string | yyyy-MM-dd |
newTransactionSeen | integer | Required | Total new transactions on this day | — |
trx_transfer | integer | Required | TRX transfer count | — |
trc10_transfer | integer | Required | TRC10 transfer count | — |
newTrigger | integer | Required | Contract trigger transaction count | — |
usdt_transaction | integer | Required | USDT transaction count | — |
vote_transaction | integer | Required | Vote transaction count | — |
freeze_transaction | integer | Required | Stake transaction count | — |
unfreeze_transaction | integer | Required | Unstake transaction count | — |
freeze_and_unfreeze_transaction | integer | Required | Stake + unstake transaction count | — |
other_transaction | integer | Required | Other transaction count | — |
5. Errors
For HTTP status codes, see Common Errors. Key points for this endpoint:
- Empty result is not an error: returns
200+data: []when no data matches.
Last updated on: